GET /api/entity_store/entities/list

Spaces method and path for this operation:

get /s/{space_id}/api/entity_store/entities/list

Refer to Spaces for more information.

List entities records, paging, sorting and filtering as needed.

Query parameters

  • sort_field string

    Field to sort results by.

  • sort_order string

    Sort order.

    Values are asc or desc.

  • page integer

    Page number to return (1-indexed).

    Minimum value is 1.

  • per_page integer

    Number of entities per page.

    Minimum value is 1, maximum value is 10000.

  • filterQuery string

    An ES query to filter by.

  • entity_types array[string] Required

    Entity types to include in the results.

    Values are user, host, service, or generic.

Responses

  • 200 application/json

    Entities returned successfully

    Hide response attributes Show response attributes object
    • inspect object

      Debug information about the Elasticsearch query executed.

      Hide inspect attributes Show inspect attributes object
      • dsl array[string] Required

        Elasticsearch query DSL that was executed.

      • response array[string] Required

        Raw Elasticsearch responses.

    • page integer Required

      Current page number.

      Minimum value is 1.

    • per_page integer Required

      Number of entities per page.

      Minimum value is 1, maximum value is 1000.

    • records array[object] Required

      The entity records for this page.

      An entity record from the Entity Store. The entity namespace is a root-level field in the latest index, unlike source logs where it is nested under host, user, or service.

      One of:
    • total integer Required

      Total number of entities matching the query.

      Minimum value is 0.

GET /api/entity_store/entities/list
curl \
 --request GET 'https://<KIBANA_URL>/api/entity_store/entities/list?entity_types=user' \
 --header "Authorization: $API_KEY"